import { BrowserPlugin } from '@snowplow/browser-tracker-core';
import { DynamicContext } from '@snowplow/tracker-core';
interface WebVitalsPluginOptions {
    loadWebVitalsScript?: boolean;
    webVitalsSource?: string;
    context?: DynamicContext;
}
/**
 * Adds Web Vitals measurement events
 *
 * @param pluginOptions.loadWebVitalsScript - Should the plugin immediately load the Core Web Vitals measurement script from UNPKG CDN.
 * @param pluginOptions.webVitalsSource - The URL endpoint the Web Vitals script should be loaded from. Defaults to the UNPKG CDN.
 * @remarks
 */
declare function WebVitalsPlugin(pluginOptions?: WebVitalsPluginOptions): BrowserPlugin;
export { WebVitalsPlugin };
