/*!
 * Adds the capability to track web performance metrics categorized as Web Vitals. v4.5.0 (https://github.com/snowplow/snowplow-javascript-tracker)
 * Copyright 2022 Snowplow Analytics Ltd, 2010 Anthon Pang
 * Licensed under BSD-3-Clause
 */

"use strict";!function(n,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports):"function"==typeof define&&define.amd?define(["exports"],e):e((n="undefined"!=typeof globalThis?globalThis:n||self).snowplowWebVitals={})}(this,(function(n){function e(n,e,o){if(o||2===arguments.length)for(var t,r=0,i=e.length;r<i;r++)!t&&r in e||(t||(t=Array.prototype.slice.call(e,0,r)),t[r]=e[r]);return n.concat(t||Array.prototype.slice.call(e))}function o(n){function e(e){return function(o){n[e]=o.value,n.navigationType=o.navigationType}}var o,t,r,i,c,a,u=window.webVitals;u?(null===(o=u.onCLS)||void 0===o||o.call(u,e("cls")),null===(t=u.onFID)||void 0===t||t.call(u,e("fid")),null===(r=u.onLCP)||void 0===r||r.call(u,e("lcp")),null===(i=u.onFCP)||void 0===i||i.call(u,e("fcp")),null===(c=u.onINP)||void 0===c||c.call(u,e("inp")),null===(a=u.onTTFB)||void 0===a||a.call(u,e("ttfb"))):l.warn("The window.webVitals API is currently unavailable. web_vitals events will not be collected.")}var t,r,i=function(){return i=Object.assign||function(n){for(var e,o=1,t=arguments.length;o<t;o++)for(var r in e=arguments[o])Object.prototype.hasOwnProperty.call(e,r)&&(n[r]=e[r]);return n},i.apply(this,arguments)};"function"==typeof SuppressedError&&SuppressedError,(r=t||(t={}))[r.none=0]="none",r[r.error=1]="error",r[r.warn=2]="warn",r[r.debug=3]="debug",r[r.info=4]="info";var l=function(n){return void 0===n&&(n=t.warn),{setLogLevel:function(e){n=t[e]?e:t.warn},warn:function(o,r){for(var i=[],l=2;l<arguments.length;l++)i[l-2]=arguments[l];n>=t.warn&&"undefined"!=typeof console&&(l="Snowplow: "+o,r?console.warn.apply(console,e([l+"\n",r],i,!1)):console.warn.apply(console,e([l],i,!1)))},error:function(o,r){for(var i=[],l=2;l<arguments.length;l++)i[l-2]=arguments[l];n>=t.error&&"undefined"!=typeof console&&(l="Snowplow: "+o+"\n",r?console.error.apply(console,e([l+"\n",r],i,!1)):console.error.apply(console,e([l],i,!1)))},debug:function(o){for(var r=[],i=1;i<arguments.length;i++)r[i-1]=arguments[i];n>=t.debug&&"undefined"!=typeof console&&console.debug.apply(console,e(["Snowplow: "+o],r,!1))},info:function(o){for(var r=[],i=1;i<arguments.length;i++)r[i-1]=arguments[i];n>=t.info&&"undefined"!=typeof console&&console.info.apply(console,e(["Snowplow: "+o],r,!1))}}}(),c={},a=!1,u={loadWebVitalsScript:!0,webVitalsSource:"https://unpkg.com/web-vitals@4/dist/web-vitals.iife.js",context:[]};n.WebVitalsPlugin=function(n){void 0===n&&(n=u);var e,t,r={},s=i(i({},u),n);return{activateBrowserPlugin:function(n){e=n.id,c[e]=n,s.loadWebVitalsScript&&(t=function(n){var e=document.createElement("script");return e.setAttribute("src",n),e.setAttribute("async","1"),e.addEventListener("error",(function(){l.error("Failed to load ".concat(n))})),document.head.appendChild(e),e}(s.webVitalsSource)),a||(t?t.addEventListener("load",(function(){return o(r)})):o(r),function(n){if(-1!==(PerformanceObserver&&PerformanceObserver.supportedEntryTypes||[]).indexOf("layout-shift")){var e=function(){"hidden"===document.visibilityState&&(n(),window.removeEventListener("visibilitychange",e,!0))};window.addEventListener("visibilitychange",e,!0)}else window.addEventListener("pagehide",n,{capture:!0,once:!0})}((function(){Object.keys(r).length&&function(n,e,o){try{var t=null!=n?n:Object.keys(e);n=[];for(var r=0;r<t.length;r++){var i=t[r];e.hasOwnProperty(i)?n.push(e[i]):l.warn(i+" not configured")}n.forEach(o)}catch(n){l.error("Function failed",n)}}(Object.keys(c),c,(function(n){var e,o=(n=n.core).track,t=function(){var n,e={},o=[],t=[],r=[],i=function(n,o){null!=o&&""!==o&&(e[n]=o)};return{add:i,addDict:function(n){for(var e in n)Object.prototype.hasOwnProperty.call(n,e)&&i(e,n[e])},addJson:function(n,e,r){var i;if(i=r)n:{if(null!=r&&(r.constructor==={}.constructor||r.constructor===[].constructor))for(var l in r)if(Object.prototype.hasOwnProperty.call(r,l)){i=!0;break n}i=!1}i&&(n={keyIfEncoded:n,keyIfNotEncoded:e,json:r},t.push(n),o.push(n))},addContextEntity:function(n){r.push(n)},getPayload:function(){return e},getJson:function(){return o},withJsonProcessor:function(e){n=e},build:function(){return null==n||n(this,t,r),e}}}(),i={schema:"iglu:com.snowplowanalytics.snowplow/unstruct_event/jsonschema/1-0-0",data:{schema:"iglu:com.snowplowanalytics.snowplow/web_vitals/jsonschema/1-0-0",data:r}};t.add("e","ue"),t.addJson("ue_px","ue_pr",i),o.call(n,t,function(n){for(var e,o=[],t=1;t<arguments.length;t++)o[t-1]=arguments[t];return null!==(e=null==n?void 0:n.map((function(n){if("function"!=typeof n)return n;try{return n.apply(void 0,o)}catch(n){}})).filter(Boolean))&&void 0!==e?e:[]}(null!==(e=s.context)&&void 0!==e?e:[],r))}))})),a=!0)}}},Object.defineProperty(n,"__esModule",{value:!0})}));
//# sourceMappingURL=index.umd.min.js.map
